#pragma once

#include "resource.h"
class CBlockItem_Input;

// CBlockItem_InputProps dialog

class CBlockItem_InputProps : public CDialog
{
	DECLARE_DYNAMIC(CBlockItem_InputProps)

public:
	CBlockItem_InputProps(CWnd* pParent = NULL, CBlockItem_Input* pOwner = NULL);   // standard constructor
	virtual ~CBlockItem_InputProps();

// Dialog Data
	enum { IDD = IDD_PORTPROPS };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
private:
	CBlockItem_Input* m_pOwner;
	void DoDataExchangeComboBox(CDataExchange* pDX);
public:
	CString m_strName;
	DWORD m_dwPort;
	virtual BOOL OnInitDialog();
	BOOL UpdatePortList();
protected:
	virtual void OnCancel();
	virtual void OnOK();
public:
	afx_msg void OnBnClickedApply();
};
